UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor mikemrva
Visitor
168 Views
Registered: ‎09-11-2018

Installing SELinux on version of ubuntu that reside on Pynq z1.

I'm in the process of Installing SELinux on version of Ubuntu that reside on the PYNQ Z1 board. 

 

I execute the following:

root@pynq:/usr/bin# ./apt-get install selinux

 

I get the following message:

 

Reading package lists... Done

Building dependency tree

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

 

The following packages have unmet dependencies:

 selinux : PreDepends: grub-pc but it is not installable

           Recommends: selinux-policy-ubuntu but it is not going to be installed or

                       selinux-policy

E: Unable to correct problems, you have held broken packages.

 

Has anybody successfully installed SELinux on this version of Ubuntu that resides on PYNQ Z1 board?  Is it even something that will work?   The AppArmor or SELinux were not  initially on this image that comes with this package.

0 Kudos